// pages/look-results/look-results.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        id: 0,
        type: 1,    //1成果 2合同
        info: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            id: options.id,
            type: options.type
        })
        if (options.type == 1) {
            this.orderLookResult()
        } else {
            this.orderCheckContact()
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 获取成果数据
     */
    orderLookResult: function () {
        let page = this, id = page.data.id
        app.api.orderLookResult({id: id}, function (res) {
            console.log(res)
            if (res.code > 0) {
                page.setData({
                    info: res.data
                })
            } else {
                wx.showToast({
                  title: res.msg,
                  icon: 'none'
                })
            }
        })
    },

    /**
     * 获取合同数据
     */
    orderCheckContact: function () {
        let page = this, id = page.data.id
        app.api.orderCheckContact({id: id}, function (res) {
            console.log(res)
            if (res.code > 0) {
                page.setData({
                    info: res.data
                })
            } else {
                wx.showToast({
                  title: res.msg,
                  icon: 'none'
                })
            }
        })
    }
})