// pages/real-name-authentication/real-name-authentication.js
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        isShow: false,
        name: '',
        id_number: '',
        isShow: false,
        isSuccess: false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    /**
     * 显示
     */
    show () {
        this.setData({
            isShow: true
        })
    },
    /**
     * 关闭
     */
    hideWindow () {
        this.setData({
            isShow: false
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 输入姓名
     */
    setName: function (e) {
        this.setData({
            name: e.detail.value
        })
    },

    /**
     * 输入身份证
     */
    setCard: function (e) {
        this.setData({
            id_number: e.detail.value
        })
    },

    /**
     * 实名认证操作
     */
    realNameAuthAction: function () {
        let page = this, name = page.data.name, id_card = page.data.id_number
        if (!name) {
            wx.showToast({
              title: '请输入真实姓名',
              icon: 'none'
            })
            return
        }
        if (!id_card) {
            wx.showToast({
              title: '请输入身份证号码',
              icon: 'none'
            })
            return
        }
        if (id_card.length != 18) {
            wx.showToast({
              title: '身份证位数错误',
              icon: 'none'
            })
            return
        }
        app.api.realNameAuthAction({name: name, id_number: id_card}, function (res) {
            console.log(res)
            if (res.code > 0) {
                page.setData({
                    isSuccess: true,
                    isShow: true
                })
                app.db.set('element_point_change',1)
            } else {
                page.setData({
                    isSuccess: false,
                    isShow: true
                })
            }
        })
    },

    /**
     * 确认
     */
    successResult: function () {
        wx.navigateBack({
          delta: 1,
        })
    },

    /**
     * 重新认证
     */
    authAgain: function () {
        this.setData({
            // name: '',
            // id_number: '',
            isShow: false
        })
    }
})